Cyberduck Mountain Duck CLI

#2420 closed enhancement (worksforme)

Keychain integration enhancement

Reported by: gpf@… Owned by: dkocher
Priority: low Milestone: 3.1
Component: interface Version: 3.0.2
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Hi

Can I request an enhancement for the current keychain integration. Currently its either on or off, when connecting to a server it will ask you if you want to store the user/pass in keychain but it will not lookup this user/pass the next time you want to use it. If you select in the Preferences to use keychain it stores everything in keychain (unless you uncheck the box). Can we have a hybrid option, as in dont save by default but check to see if there are credentials in keychain by default.

Thanks

Steve

Change History (5)

comment:1 Changed on Aug 12, 2008 at 9:15:58 AM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Refer to help/en/faq. Use

defaults write ch.sudo.cyberduck connection.login.addKeychain false

comment:2 follow-up: Changed on Aug 15, 2008 at 8:00:31 AM by anonymous

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Hi, unfortunately this does not solve the issue.

I do not want passwords other than those which I deliberately check "Add to Keychain" saved in my keychain, but I do want Cyberduck to check every time to see if there is a password in the Keychain for the server I am connecting to. The current option within the settings for the "Use Keychain" option states "Search for passwords in the keychain. Save passwords upon successful login in the keychain by default." It is the second part of that that I do not wish to have enabled.

If I remove the check from Use Keychain it no longer searches Keychain for passwords, if I check the Use Keychain and uncheck the "Add to Keychain" checkbox it will still add the password to Keychain when the connection is successful.

comment:3 Changed on Aug 15, 2008 at 8:01:12 AM by gpf@…

Forgot to tag the above post with my email...

comment:4 Changed on Aug 15, 2008 at 9:05:16 PM by dkocher

  • Component changed from core to interface
  • Milestone 3.1 deleted
  • Priority changed from normal to low

comment:5 in reply to: ↑ 2 Changed on Dec 30, 2008 at 11:43:09 AM by dkocher

  • Milestone set to 3.1
  • Resolution set to worksforme
  • Status changed from reopened to closed

Replying to anonymous:

If I remove the check from Use Keychain it no longer searches Keychain for passwords, if I check the Use Keychain and uncheck the "Add to Keychain" checkbox it will still add the password to Keychain when the connection is successful.

The wording in the Preferences still refers to the old behaviour where the lookup and storing of passwords was determined by the same property. However if you set the property connection.login.addKeychain to false, passwords will no longer be saved to the Keychain.

Note: See TracTickets for help on using tickets.
swiss made software